/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package game.core;

import com.almasb.fxgl.app.*;
import com.almasb.fxgl.entity.Entity;

import static com.almasb.fxgl.dsl.FXGL.*;
import game.core.entities.*;
import javafx.scene.input.KeyCode;

public class App extends GameApplication {
    MainFactory factory = MainFactory.getInstance();
    Entity player;
    Player p;

    public static void main(String[] args) {
        System.out.println("App.main()");
        launch(args);
    }

    @Override
    protected void initSettings(GameSettings settings) {
        settings.setWidth(800);
        settings.setHeight(600);
        settings.setTitle("Basic Game App");
        settings.setVersion("0.1");
        settings.setManualResizeEnabled(false);
    }

    @Override
    protected void initGame() {
        getGameWorld().addEntityFactory(factory);
        player = Player.getInstance().getEntity();
        p = Player.getInstance();

    }

    @Override
    protected void initInput() {
        onKey(KeyCode.D, () -> {
            player.translateX(5);
        });
    }

}
